Endpoint
GET /subscriptions
Authentication
Required.Response
Show child attributes
Show child attributes
Subscription ID
Current plan ID
active, past_due, cancelled, or pausedBilling period start (ISO 8601)
Billing period end (ISO 8601)
Whether cancellation is scheduled
monthly, yearly, or nullPlan details including name and feature configuration.
Example
curl "https://api.mind-e.co/subscriptions" \
-H "Authorization: Bearer sk_live_your_key_here"
Response
{
"success": true,
"subscription": {
"planId": "pro",
"status": "active",
"currentPeriodStart": "2026-02-01T00:00:00Z",
"currentPeriodEnd": "2026-03-01T00:00:00Z",
"cancelAtPeriodEnd": false,
"billingInterval": "monthly"
},
"usage": {
"agents": { "used": 3, "limit": 10, "remaining": 7, "percentage": 30, "isAtLimit": false },
"storage": { "usedBytes": 52428800, "limitBytes": 209715200, "remainingBytes": 157286400, "percentage": 25, "isAtLimit": false, "isOverLimit": false },
"credits": { "balance": 8500, "perCycle": 10000 }
},
"flags": {
"isFreePlan": false,
"isPaidPlan": true,
"canUpgrade": true,
"needsUpgrade": false
}
}